| Openscape Voice V10 - SOAP Interface Documentation

Public Attributes | List of all members
unsp__CfHotDesk Struct Reference
Subscriber Features

Hot Desking. More...

`#include <osv-if-doc.h>`

## Public Attributes
enum unsp__Subscribed | Subscribed
| Standard Subscribed enumeration. More...
unsp__Enabled * | Enabled
| Standard Enabled flag. More...
enum unsp__HotDeskSide * | HotDeskSide
| The type of hot desking feature to be assigned to the subscriber. More...
xsd__boolean * | SessionStatus
| Displays the session status of the Hotdesking session. More...
struct unsp__CfHotDesk_locPres * | Local
| Local Presence flags. More...

## Detailed Description

Hot Desking.

The Hot Desking feature provides subscribers the capability to log on to and use a telephone in another office. The telephone in the other office (the remote office telephone) then has all of the same OpenScape Voice system-provided features and capabilities as the telephone in the subscriber's office (the home office telephone). This feature is also known as hoteling. To operate, Hot Desking must be assigned to both the home office telephone and on the remote office telephone. Telephone-based features are not transferred from the home office telephone to the remote office telephone. The remote office telephone and the home office telephone must be hosted by the same OpenScape Voice system, and must both be SIP telephones.
MP2 command: CFHotDesk [Attributes]

## Member Data Documentation

## ◆ Enabled

unsp__Enabled* unsp__CfHotDesk::Enabled

Standard Enabled flag.

## ◆ HotDeskSide

enum unsp__HotDeskSide* unsp__CfHotDesk::HotDeskSide

The type of hot desking feature to be assigned to the subscriber.

required: false
default value[range]: HDRemote

## ◆ Local

struct unsp__CfHotDesk_locPres* unsp__CfHotDesk::Local

Local Presence flags.

## ◆ SessionStatus

xsd__boolean* unsp__CfHotDesk::SessionStatus

Displays the session status of the Hotdesking session.

Read Only

## ◆ Subscribed

enum unsp__Subscribed unsp__CfHotDesk::Subscribed

Standard Subscribed enumeration.

The documentation for this struct was generated from the following file:

- /home/build/gitlocal/osv_nem/submgmt/doc/osv-if-doc.h